%global debug_package %{nil}

Name: python-tomli
Epoch: 100
Version: 2.0.1
Release: 1%{?dist}
BuildArch: noarch
Summary: A lil' TOML parser
License: MIT
URL: https://github.com/hukkin/tomli/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Tomli is a Python library for parsing TOML. Tomli is fully compatible
with TOML v1.0.0.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-tomli
Summary: A lil' TOML parser
Requires: python3
Provides: python3-tomli = %{epoch}:%{version}-%{release}
Provides: python3dist(tomli) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-tomli = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(tomli) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-tomli = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(tomli) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-tomli
Tomli is a Python library for parsing TOML. Tomli is fully compatible
with TOML v1.0.0.

%files -n python%{python3_version_nodots}-tomli
%license LICENSE
%{python3_sitelib}/tomli*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-tomli
Summary: A lil' TOML parser
Requires: python3
Provides: python3-tomli = %{epoch}:%{version}-%{release}
Provides: python3dist(tomli) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-tomli = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(tomli) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-tomli = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(tomli) = %{epoch}:%{version}-%{release}

%description -n python3-tomli
Tomli is a Python library for parsing TOML. Tomli is fully compatible
with TOML v1.0.0.

%files -n python3-tomli
%license LICENSE
%{python3_sitelib}/tomli*
%endif

%changelog
